# xarray.Dataset.reorder_levels

`Dataset.``reorder_levels`(inplace=False, **dim_order)

  Rearrange index levels using input order.

  Parameters:

  inplace : bool, optional

  > If True, modify the dataset in-place. Otherwise, return a new DataArray object.

  **dim_order : optional

  > Keyword arguments with names matching dimensions and values given by lists representing new level orders. Every given dimension must have a multi-index.

  Returns:

  obj : Dataset

  > Another dataset, with this dataset’s data but replaced coordinates.